Cancel Looping Video Job
curl --request POST \
--url https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId}/cancel \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId}/cancel"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.developer.pixelcut.ai/v1/video/loop/job/{jobId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Job cancelled"
}{
"error": "API Token not found",
"error_code": "invalid_auth_token"
}{
"error": "Job not found",
"error_code": "not_found"
}{
"error": "Job has already finished and cannot be canceled",
"error_code": "job_finished"
}{
"error": "Too many requests",
"error_code": "rate_limit_exceeded"
}Looping Video
Looping Video Job Cancel
Cancels a Looping Video job that is currently pending or running. Jobs that are already completed or failed cannot be cancelled.
POST
/
v1
/
video
/
loop
/
job
/
{jobId}
/
cancel
Cancel Looping Video Job
Authorizations
All API requests require a valid api key. Include your token as a HTTP request header in the following format: X-API-Key: skXXXXXXXXXXXXXXXX. You can obtain an api key by signing up for developer access in your Pixelcut account.
Path Parameters
The ID of the job to cancel
Response
Job cancelled successfully
Confirmation message
Example:
"Job cancelled"